org.apache.hadoop.yarn.server.federation.store.records

## Class SubClusterRegisterRequest

- java.lang.Object
- - org.apache.hadoop.yarn.server.federation.store.records.SubClusterRegisterRequest

- Direct Known Subclasses:
    SubClusterRegisterRequestPBImpl

      @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public abstract class SubClusterRegisterRequest
      extends Object

  SubClusterRegisterRequest is a request by a sub-cluster `ResourceManager` to participate in federation.

  It includes information such as:

  - `SubClusterId`
  - The URL of the subcluster
  - The timestamp representing the last start time of the subCluster
  - `FederationsubClusterState`
  - The current capacity and utilization of the subCluster

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubClusterRegisterRequest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract SubClusterInfo` | `getSubClusterInfo()` Get the `SubClusterInfo` encapsulating the information about the sub-cluster.
    `static SubClusterRegisterRequest` | `newInstance(SubClusterInfo subClusterInfo)`
    `abstract void` | `setSubClusterInfo(SubClusterInfo subClusterInfo)` Set the `SubClusterInfo` encapsulating the information about the sub-cluster.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubClusterRegisterRequest

          public SubClusterRegisterRequest()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public static SubClusterRegisterRequest newInstance(SubClusterInfo subClusterInfo)

    - #### getSubClusterInfo

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract SubClusterInfo getSubClusterInfo()

      Get the `SubClusterInfo` encapsulating the information about the sub-cluster.
      Returns:
        the information pertaining to the sub-cluster

    - #### setSubClusterInfo

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setSubClusterInfo(SubClusterInfo subClusterInfo)

      Set the `SubClusterInfo` encapsulating the information about the sub-cluster.
      Parameters:
        `subClusterInfo` - the information pertaining to the sub-cluster

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.